Enneo

Quality Management

Get all worklogs for a ticket

GET /ticket/{ticketId}/worklog

GET /ticket/{ticketId}/worklog

Retrieve all worklog entries associated with a specific ticket, including their linked assessments and detailed worklog information.

Path parameters

ticketIdintegerpathrequired

Ticket ID

Responses

200 — Successful operation

Response Example

[
  {
    "id": 1,
    "ticketId": 1,
    "date": "string",
    "latestInteraction": "2026-01-01T12:00:00Z",
    "assessments": [
      {
        "id": 1,
        "scorecardId": 1
      }
    ],
    "worklog": {
      "userId": 1,
      "worklogId": 1,
      "latestInteraction": "2026-01-01T12:00:00Z",
      "ticketId": 1,
      "conversationId": 1,
      "action": "closeAction",
      "actionList": [
        "string"
      ],
      "actionListText": [
        "string"
      ]
    },
    "aiUsage": {
      "automationLevel": 1,
      "automationLevelLabel": "string",
      "aiAgents": [
        null
      ]
    },
    "time": {
      "duration": 1,
      "durationAfterWork": 1,
      "segments": [
        null
      ]
    },
    "customerExperience": {
      "slaMet": true,
      "netSecondsClosedAfterSla": 1,
      "closingDateForSLA": "2026-01-01T12:00:00Z",
      "dueDateForSLA": "2026-01-01T12:00:00Z",
      "reOpened": true,
      "csat": null
    }
  }
]

403 — Unauthorized

500 — Internal error